[Dnsmasq-discuss] warning: `dnsmasq' uses 32-bit capabilities (re-visited)

Simon Kelley simon at thekelleys.org.uk
Mon Jun 10 11:26:29 BST 2013


On 10/06/13 09:43, Nick Warne wrote:

> OK, red faced here - since I changed the kernel to print the warning each time, I found out what was going on...
>
> An old legacy install of dnsmasq put in a rc.d/rc.dnsmasq start-up script, and it was pointing to the WRONG binary.  I have since flushed my system, built and installed 2.66, changed the start-up script, and all is good :)
>
> Sorry for the noise.
>
> Nick


No problem. I've just got back to thinking about this, and that would 
have been my next suggestion. BTW, dnsmasq always logs the version 
number when it starts, which helps to chase this sort of thing.


Cheers,

Simon.



More information about the Dnsmasq-discuss mailing list